/* Terminal size. */
#define DEFAULT_TERMCAP_LINES			24
#define DEFAULT_TERMCAP_COLUMNS			80

/* Default termcap strings. */
#define	DEFAULT_TERMCAP_CLR_EOL			"\033[K"	
#define	DEFAULT_TERMCAP_CLEAR_SCREEN		"\033[2J"
#define	DEFAULT_TERMCAP_SAVE_CURSOR		"\033[s"
#define	DEFAULT_TERMCAP_RESTORE_CURSOR		"\033[u"
#define	DEFAULT_TERMCAP_CURSOR_INVISIBLE	""
#define	DEFAULT_TERMCAP_CURSOR_VISIBLE		""	
#define	DEFAULT_TERMCAP_CURSOR_ADDRESS		"\033[%i%d;%dH"
#define DEFAULT_TERMCAP_INIT_TERMINAL		""
#define DEFAULT_TERMCAP_DEINIT_TERMINAL		""
#define DEFAULT_TERMCAP_BELL			"\007"   

#define DEFAULT_TERMCAP_KEY_F1			""   
#define DEFAULT_TERMCAP_KEY_F2			""   
#define DEFAULT_TERMCAP_KEY_IC			""		/* Insert. */
#define DEFAULT_TERMCAP_KEY_DC			"\177"		/* Delete. */
#define DEFAULT_TERMCAP_KEY_HOME	 	""
#define DEFAULT_TERMCAP_KEY_EOL			""	
#define DEFAULT_TERMCAP_KEY_PPAGE		""     	 	/* PgUp. */
#define DEFAULT_TERMCAP_KEY_NPAGE		""	  	/* PgDn. */
#define DEFAULT_TERMCAP_KEY_UP			"\033[A"
#define DEFAULT_TERMCAP_KEY_DOWN	 	"\033[B"
#define DEFAULT_TERMCAP_KEY_LEFT		"\033[D"
#define DEFAULT_TERMCAP_KEY_RIGHT		"\033[C"
#define DEFAULT_TERMCAP_KEY_BACKSPACE 		"\010"	

/* Strings for keys. Even if a termcap entry is available, these key
strings are recognised. */
#define ALT_TERMCAP_KEY_F1			"\200\073"   
#define ALT_TERMCAP_KEY_F2			"\200\074"   
#define ALT_TERMCAP_KEY_IC			"\200\122"	/* Insert. */
#define ALT_TERMCAP_KEY_DC			"\200\123"	/* Delete. */
#define ALT_TERMCAP_KEY_HOME			"\200\107"
#define ALT_TERMCAP_KEY_EOL			"\200\117"	
#define ALT_TERMCAP_KEY_PPAGE			"\200\111"      /* PgUp. */
#define ALT_TERMCAP_KEY_NPAGE			"\200\121"	/* PgDn. */
#define ALT_TERMCAP_KEY_UP			"\200\110"
#define ALT_TERMCAP_KEY_DOWN		 	"\200\120"
#define ALT_TERMCAP_KEY_LEFT			"\200\113"
#define ALT_TERMCAP_KEY_RIGHT			"\200\115"
#define ALT_TERMCAP_KEY_BACKSPACE 		"\010"	

/* Local definitions of control characters. */
#define LOCAL_BACKSPACE_KEY			"\010"
#define LOCAL_TAB_KEY				"\011"
#define LOCAL_RETURN_KEY			"\015"
#define LOCAL_ESC_KEY				"\033"
#define LOCAL_DEL_KEY				"\177"

/* Local non-portable strings. */
#define LOCAL_SHELL				"command.com"
#define LOCAL_TERMCAP_FILE			"c:\\etc\\termcap"
#define LOCAL_TERM_ENVIRONMENT_VAR		"TERM"
#define LOCAL_TERMCAP_ENVIRONMENT_VAR		"TERMCAP"

/* Local non-portable functions. */
int local_get_character();
int local_is_input_pending();
void local_init();
void local_deinit();
void local_init_terminal_io();
void local_deinit_terminal_io();
void local_control_c_handler();
void local_reset_control_c_pressed();
int local_control_c_pressed();

