#include <stdio.h>
#include <signal.h>
#include "pvic.h"
#include "locdefs.h"



/* Read one character from the terminal without echoing it. */
int local_get_character()
{
	return getch();
}


/* Test if there is a character to be read from the terminal. If so the
return value is possitive. If not the return value is zero. If we are
not able to determine whether a character is waiting or not, the return
value is negative. */
int local_is_input_pending()
{
	return kbhit();
}


/* Initialize PVIC. */
void local_init()
{
	signal(SIGINT,(void *)local_control_c_handler);
	signal(SIGTERM,(void *)local_control_c_handler);
	return;
}


/* Deinitialize PVIC. */
void local_deinit()
{
	return;
}



/* Initialize the terminal I/O. */
void local_init_terminal_io()
{
	return;
}


/* Deinitialize the terminal I/O. */
void local_deinit_terminal_io()
{
	return;
}



/* Flag which is set by local_control_c_handler if control-c is pressed. */
static int control_c_pressed=0;



/* Function called when control-c is pressed. */
void local_control_c_handler()
{
	signal(SIGINT,(void *)local_control_c_handler);
	signal(SIGTERM,(void *)local_control_c_handler);
	control_c_pressed=1;
}



/* Reset the control_c_pressed flag. */
void local_reset_control_c_pressed()
{
	control_c_pressed=0;
}



/* Get the value of the control_c_pressed flag. */
int local_control_c_pressed()
{
	return control_c_pressed;
}


